Bug 1952907 (CVE-2021-3514) - CVE-2021-3514 389-ds-base: sync_repl NULL pointer dereference in sync_create_state_control()
Summary: CVE-2021-3514 389-ds-base: sync_repl NULL pointer dereference in sync_create_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3514
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1952945 1957855 2022771 1952804 1952944 1960720 1960721 1960723
Blocks: 1952813
TreeView+ depends on / blocked
 
Reported: 2021-04-23 14:04 UTC by Cedric Buissart
Modified: 2021-11-12 14:52 UTC (History)
7 users (show)

Fixed In Version: 389-ds-base 1.4.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found In 389-ds-base. When the Content Synchronization plugin is enabled, an authenticated user can reach a NULL pointer dereference using a specially crafted query. This flaw allows an authenticated attacker to cause a denial of service. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-06-29 22:40:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:2595 0 None None None 2021-06-29 16:07:32 UTC
Red Hat Product Errata RHSA-2021:2796 0 None None None 2021-07-20 23:55:09 UTC

Description Cedric Buissart 2021-04-23 14:04:13 UTC
When using a sync_repl client, an authenticated attacker can cause a NULL pointer dereference using a specially crafted query, causing a crash of 389-ds-base.

Upstream reference: https://github.com/389ds/389-ds-base/issues/4711

Comment 1 Cedric Buissart 2021-04-23 14:04:17 UTC
Acknowledgments:

Name: Thierry Bordaz

Comment 3 Cedric Buissart 2021-04-23 15:44:14 UTC
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1952944]

Comment 5 Cedric Buissart 2021-04-23 15:47:15 UTC
Statement:

Red Hat Identity Management is affected by this flaw

Comment 11 errata-xmlrpc 2021-06-29 16:07:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:2595 https://access.redhat.com/errata/RHSA-2021:2595

Comment 12 Product Security DevOps Team 2021-06-29 22:40:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3514

Comment 13 errata-xmlrpc 2021-07-20 23:55:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:2796 https://access.redhat.com/errata/RHSA-2021:2796


Note You need to log in before you can comment on or make changes to this bug.